{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}




{% block content %}
<form class="from-horizontal" method="post" enctype="multipart/form-data">
    {% csrf_token %}

    <head>
        <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
        <title>{% block title %} Dealers {% endblock %}</title>
    </head>

    <section class="content-header col-content">
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                <h1>Dealers</h1>
                <p class="creatBtn-wrapper">
                    <button type="submit"><a href="{% url 'create_dealer_profile' %}">Create</a></button>
                    <button type="submit"><a href="{% url 'import_dealer_profile' %}">Import</a></button>
                    <button type="submit" name="export" class="export">Export</button>
                </p>
            </div>

            <div class="col-xs-6 col-sm-6 col-md-6">
                <div class="search-container text-right">
                    <form class="search-form">
                        <input type="text" placeholder="Search.." name="search">
                        <button type="submit"><i class="fa fa-search"></i></button>
                        
                        
                        
                    </form>
                   
                    <!--<nav aria-label="Page navigation example ">-->
                    <!--<ul class="pagination col-pagination">-->
                    <!--<li class="page-item">-->
                    <!--<a class="page-number" href="#" aria-label="Previous">-->
                    <!--1-15/15-->
                    <!--</a>-->
                    <!--</li>-->
                    <!--<li class="page-item">-->
                    <!--<a class="page-number" href="#">-->
                    <!--<i class="fa fa-angle-left" aria-hidden="true"></i>-->
                    <!--</a>-->
                    <!--</li>-->

                    <!--<li class="page-item"><a class="page-number" href="#"><i class="fa fa-angle-right"-->
                    <!--aria-hidden="true"></i></a></li>-->
                    <!--<li class="page-item grid-style-view">-->
                    <!--<a class="page-number" href="#">-->
                    <!--<i class="fa fa-th-large" aria-hidden="true"></i>-->
                    <!--</a>-->
                    <!--</li>-->

                    <!--<li class="page-item list-style-view"><a class="page-number" href="#"><i class="fa fa-list"-->
                    <!--aria-hidden="true"></i></a>-->
                    <!--</li>-->


                    <!--</ul>-->
                    <!--</nav>-->

                    <div class="row">
                        <div class="page-item grid-style-view">
                            <a class="page-number" href="#">
                                <i class="fa fa-th-large" aria-hidden="true"></i>
                            </a>
                        </div>

                        <div class="page-item list-style-view">
                            <a class="page-number" href="#">
                                <i class="fa fa-list" aria-hidden="true"></i>
                            </a>
                        </div>

                        <div class="col-md-12">
                            {% if data_list.has_other_pages %}
                            <ul class="pagination col-pagination pg-blue pull-right">


                                {% if data_list.has_previous %}
                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.previous_page_number }}" aria-label="Previous">
                                        &laquo;
                                    </a>
                                </li>

                                {% else %}
                                <li class="page-item disabled"><a class="page-link" href=""><span>&laquo;</span></a>
                                </li>
                                {% endif %}


                                {% for i in data_list.paginator.page_range %}
                                {% if data_list.number == i %}
                                <li class="page-item active"><a class="page-link" href="#">{{ i }}</a></li>
                                {% else %}
                                <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
                                {% endif %}
                                {% endfor %}
                                {% if data_list.has_next %}


                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.next_page_number }}">
                                        &raquo;
                                    </a>
                                </li>


                                {% endif %}
                            </ul>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </section>

    <!--<section class="content">-->
        <!--<div class="row">-->
            <!--{% for data in data_list %}-->
            <!--<div class="col-xs-12 col-sm-4 col-md-4">-->
                <!--<div class="member-detail">-->
                    <!--<div class="row">-->
                        <!--<div class="col-xs-12 col-sm-4 col-md-4">-->
                            <!--<a href="#" class="user-icon"><i class="fa fa-user-o" aria-hidden="true"></i></a>-->
                        <!--</div>-->
                        <!--<div class="col-xs-12 col-sm-8 col-md-8 col-Ainfo">-->
                            <!--<h3>{{data.dealer_code}}, {{data.owner_name}}</h3>-->
                            <!--<h4>{{data.company_name}}, {{data.primary_contact}}</h4>-->
                            <!--<h4>{{data.shipping_address}}</h4>-->
                        <!--</div>-->
                    <!--</div>-->
                <!--</div>-->
            <!--</div>-->
            <!--{% endfor %}-->
        <!--</div>-->


    <!--</section>-->

    <section class="content">
        {% for data in data_list %}
        <div class="col-xs-12 col-sm-4 col-md-4">
            <div class="member-detail">
                <div class="row">
                    <div class="col-xs-3 col-sm-3 col-md-3">
                        <a href="{% url 'dealer_profile' data.dealer_id %}" class="user-icon"><i class="fa fa-user-o" aria-hidden="true"></i></a>
                    </div>
                    <div class="p-detail">
                       <a href="{% url 'dealer_profile' data.dealer_id %}"><h3>{{data.dealer_code}}, {{data.owner_name}}</h3></a>
                        <h4>{{data.company_name}}, {{data.primary_contact}}</h4>
                         <h4>{{data.shipping_address}}</h4>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-sm-4 col-md-4">
                <!--<div class="member-detail">-->
                    <!--<div class="row">-->
                        <!--<div class="col-xs-12 col-sm-4 col-md-4">-->
                            <!--<a href="#" class="user-icon"><i class="fa fa-user-o" aria-hidden="true"></i></a>-->
                        <!--</div>-->
                        <!--<div class="col-xs-12 col-sm-8 col-md-8 col-Ainfo">-->
                            <!--<h3>{{data.dealer_code}}, {{data.owner_name}}</h3>-->
                            <!--<h4>{{data.company_name}}, {{data.primary_contact}}</h4>-->
                            <!--<h4>{{data.shipping_address}}</h4>-->
                        <!--</div>-->
                    <!--</div>-->
                    <!---->
                <!--</div>-->



             <!----------------------------------------------flex-content-->
                <div class="flex-container">
                    <div class="profile-wrapper">
                        <figure class="img-figur">
                            <img class="alignnone size-medium wp-image-371" src="http://classicurve.com/wp-content/uploads/2018/10/aboutus-259x300.jpg" alt="" >
                        </figure>
                    </div>
                    <div class="p-detail">
                            <a href="{% url 'dealer_profile' data.dealer_id %}"><h3>{{data.dealer_code}}, {{data.owner_name}}</h3></a>
                        <h4>{{data.company_name}}, {{data.primary_contact}}</h4>
                         <h4>{{data.shipping_address}}</h4>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-sm-4 col-md-4">
                <!--<div class="member-detail">-->
                    <!--<div class="row">-->
                        <!--<div class="col-xs-12 col-sm-4 col-md-4">-->
                            <!--<a href="#" class="user-icon"><i class="fa fa-user-o" aria-hidden="true"></i></a>-->
                        <!--</div>-->
                        <!--<div class="col-xs-12 col-sm-8 col-md-8 col-Ainfo">-->
                            <!--<h3>{{data.dealer_code}}, {{data.owner_name}}</h3>-->
                            <!--<h4>{{data.company_name}}, {{data.primary_contact}}</h4>-->
                            <!--<h4>{{data.shipping_address}}</h4>-->
                        <!--</div>-->
                    <!--</div>-->
                    <!---->
                <!--</div>-->



             <!----------------------------------------------flex-content-->
                <div class="flex-container">
                    <div class="profile-wrapper">
                        <figure class="img-figur">
                            <img class="alignnone size-medium wp-image-371" src="http://classicurve.com/wp-content/uploads/2018/10/aboutus-259x300.jpg" alt="" >
                        </figure>
                    </div>
                    <div class="p-detail">
                            <a href="{% url 'dealer_profile' data.dealer_id %}"> <h3>{{data.dealer_code}}, {{data.owner_name}}</h3></a>
                        <h4>{{data.company_name}}, {{data.primary_contact}}</h4>
                         <h4>{{data.shipping_address}}</h4>
                    </div>
                </div>
            </div>

        </div>
  {% endfor %}

    </section>
</form>
{% endblock %}
